
renderingOptions:
  submitButtonLabel: Abschicken
identifier: barriere-melden
label: Barriere-melden
type: Form
prototypeName: customStyling
finishers:
  -
    options:
      subject: Barriere-Meldung
      senderAddress: mail@ev-familienbildung.de
      senderName: 'Evangelisches Familienbildungswerk im Kirchenkreis Düsseldorf-Mettmann'
      attachUploads: true
      translation:
        language: default
      recipients:
        mail@ev-familienbildung.de: 'Evangelisches Familienbildungswerk im Kirchenkreis Düsseldorf-Mettmann'
      replyToRecipients:
        '{email}': ''
      addHtmlPart: true
    identifier: EmailToReceiver
  -
    options:
      pageUid: '252'
      additionalParameters: ''
    identifier: Redirect
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'vorherige Seite'
      nextButtonLabel: 'nächste Seite'
    identifier: page-1
    label: ''
    type: Page
    renderables:
      -
        label: Inhaltselement
        properties:
          contentElementUid: '1746'
        type: ContentElement
        identifier: contentelement-3
      -
        properties:
          options:
            Frau: Frau
            Herr: Herr
            Firma: Firma
          prependOptionLabel: '-'
        type: SingleSelect
        identifier: anrede
        label: Anrede
      -
        type: GridRow
        identifier: gridrow-1
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: vorname
            label: Vorname
            properties:
              fluidAdditionalAttributes:
                placeholder: Vorname
              gridColumnClassAutoConfiguration:
                viewPorts:
                  md:
                    numbersOfColumnsToUse: '6'
                  sm:
                    numbersOfColumnsToUse: '12'
                  xs:
                    numbersOfColumnsToUse: '12'
                  lg:
                    numbersOfColumnsToUse: '6'
          -
            defaultValue: ''
            identifier: name
            label: Nachname
            type: Text
            properties:
              fluidAdditionalAttributes:
                placeholder: Nachname
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: '6'
                  md:
                    numbersOfColumnsToUse: '6'
                  sm:
                    numbersOfColumnsToUse: '12'
                  xs:
                    numbersOfColumnsToUse: '12'
      -
        defaultValue: ''
        identifier: email
        label: E-Mail
        type: Text
        properties:
          fluidAdditionalAttributes:
            placeholder: 'E-Mail Adresse'
            required: required
        validators:
          -
            identifier: NotEmpty
          -
            identifier: EmailAddress
      -
        defaultValue: ''
        identifier: message
        label: 'Ihre Nachricht'
        type: Textarea
        properties:
          fluidAdditionalAttributes:
            required: required
            placeholder: 'Ihre Nachricht'
        validators:
          -
            identifier: NotEmpty
      -
        label: Inhaltselement
        properties:
          contentElementUid: '1598'
        type: ContentElement
        identifier: contentelement-1
      -
        type: Checkbox
        identifier: checkbox-2
        label: 'Datenschutzerklärung '
        properties:
          elementDescription: 'Ich willige ein, dass die Evangelisches Familienbildungswerk im Kirchenkreis Düsseldorf-Mettmann meine Kontaktdaten zum Zwecke der Kontaktaufnahme und Kommunikation speichert und verarbeitet. Die Datenschutzerklärung habe ich gelesen.'
          fluidAdditionalAttributes:
            required: required
        validators:
          -
            identifier: NotEmpty
      -
        label: Inhaltselement
        properties:
          contentElementUid: '1728'
        type: ContentElement
        identifier: contentelement-2
